<?php
/*****************************************************************************
 * The contents of this file are subject to the RECIPROCAL PUBLIC LICENSE
 * Version 1.1 ("License"); You may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * http://opensource.org/licenses/rpl.php. Software distributed under the
 * License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND,
 * either express or implied.
 *
 * You may:
 * a) Use and distribute this code exactly as you received without payment or
 *    a royalty or other fee.
 * b) Create extensions for this code, provided that you make the extensions
 *    publicly available and document your modifications clearly.
 * c) Charge for a fee for warranty or support or for accepting liability
 *    obligations for your customers.
 *
 * You may NOT:
 * a) Charge for the use of the original code or extensions, including in
 *    electronic distribution models, such as ASP (Application Service
 *    Provider).
 * b) Charge for the original source code or your extensions other than a
 *    nominal fee to cover distribution costs where such distribution
 *    involves PHYSICAL media.
 * c) Modify or delete any pre-existing copyright notices, change notices,
 *    or License text in the Licensed Software
 * d) Assert any patent claims against the Licensor or Contributors, or
 *    which would in any way restrict the ability of any third party to use the
 *    Licensed Software.
 *
 * You must:
 * a) Document any modifications you make to this code including the nature of
 *    the change, the authors of the change, and the date of the change.
 * b) Make the source code for any extensions you deploy available via an
 *    Electronic Distribution Mechanism such as FTP or HTTP download.
 * c) Notify the licensor of the availability of source code to your extensions
 *    and include instructions on how to acquire the source code and updates.
 * d) Grant Licensor a world-wide, non-exclusive, royalty-free license to use,
 *    reproduce, perform, modify, sublicense, and distribute your extensions.
 *
 * The Original Code is: CommuniCore
 *                       Olavo Farias
 *                       2006-04-7 olavo.farias@gmail.com
 *
 * The Initial Developer of the Original Code is CommuniCore.
 * Portions created by CommuniCore are Copyright (C) 2005 CommuniCore Ltda
 * All Rights Reserved.
 ********************************************************************************/
include("modules/EcmProductStockIndexs/moduleMenu.php");
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
   require_once('XTemplate/xtpl.php');
   require_once('data/Tracker.php');
   require_once('modules/EcmProductStockIndexs/EcmProductStockIndex.php');
   require_once('modules/EcmProductStockIndexs/Forms.php');
   require_once('include/DetailView/DetailView.php');
   
   global $mod_strings;
   global $app_strings;
   
   $focus      = new EcmProductStockIndex();
   
   $detailView = new DetailView();
   $offset     = 0;

// ONLY LOAD A RECORD IF A RECORD ID IS GIVEN;
// A RECORD ID IS NOT GIVEN WHEN VIEWING IN LAYOUT EDITOR
   if (isset($_REQUEST['offset']) or isset($_REQUEST['record'])) {
   	$result = $detailView->processSugarBean("ECMSTOCKS", $focus, $offset);
   	if($result == null) {
   	 sugar_die($app_strings['ERROR_NO_RECORD']);
   	}
   	$focus = $result;
   }else{
   	header("Location: index.php?module={EcmProductStockIndexs}&action=index");
   }

   if(isset($_REQUEST['isDuplicate']) && $_REQUEST['isDuplicate'] == 'true') {
   	$focus->id = "";
   }
   echo "\n<p>\n";
   echo get_module_title($mod_strings['LBL_MODULE_ID'], $mod_strings['LBL_MODULE_NAME'].": ".$focus->name, true);
   echo "\n</p>\n";
   global $theme;
   $theme_path = "themes/".$theme."/";
   $image_path = $theme_path."images/";
   require_once($theme_path.'layout_utils.php');
   
   $GLOBALS['log']->info("EcmProductStockIndexs detail view");
   $focus->format_all_fields();
   global $app_list_strings;
   
   $xtpl=new XTemplate ('modules/EcmProductStockIndexs/DetailView.html');
   $xtpl->assign("MOD",           $mod_strings);
   $xtpl->assign("APP",           $app_strings);
   $xtpl->assign("THEME",         $theme);
   $xtpl->assign("GRIDLINE",      $gridline);
   $xtpl->assign("IMAGE_PATH",    $image_path);
   $xtpl->assign("PRINT_URL",    "index.php?".$GLOBALS['request_string']);
   $xtpl->assign("ID",            $focus->id);
   $xtpl->assign("ASSIGNED_TO",   $focus->assigned_user_name);
   $xtpl->assign("NAME",          $focus->name);
   $xtpl->assign("TYPE",          $app_list_strings['ecmproductstockindex_group_ks_dom'][$focus->type]);
   $xtpl->assign("DATE_ENTERED",  $focus->date_entered);
   $xtpl->assign("DATE_MODIFIED", $focus->date_modified);

	if($focus->main)$xtpl->assign("CHECKED_MAIN"," checked");
    $xtpl->assign("DESCRIPTION",   nl2br(url2html($focus->description)));
    $xtpl->assign("DIR",   $focus->dir);
    $xtpl->assign("NO",   $focus->no);
   
   global $current_user;
   
   if(is_admin($current_user) && $_REQUEST['module'] != 'DynamicLayout' && !empty($_SESSION['editinplace'])){
   	$xtpl->assign("ADMIN_EDIT","<a href='index.php?action=index&module=DynamicLayout&from_action=".$_REQUEST['action'] ."&from_module=".$_REQUEST['module'] ."&record=".$_REQUEST['record']. "'>".get_image($image_path."EditLayout","border='0' alt='Edit Layout' align='bottom'")."</a>");
   }

   $xtpl->assign("CREATED_BY",    $focus->created_by_name);
   $xtpl->assign("MODIFIED_BY",   $focus->modified_by_name);
   
   $detailView->processListNavigation($xtpl, "ECMSTOCKS", $offset, $focus->is_AuditEnabled());

// ADDING CUSTOM FIELDS:
   require_once('modules/DynamicFields/templates/Files/DetailView.php');
   
   if(!empty($focus->id)) {
    $merge_button = <<<EOQ
<input title="{$app_strings['LBL_DUP_MERGE']}" accessKey="M" class="button" onclick="this.form.return_module.value='EcmProductStockIndexs'; this.form.return_action.value='DetailView';this.form.return_id.value='{$focus->id}'; this.form.action.value='Step1'; this.form.module.value='MergeRecords';" type="submit" name="Merge" value=" {$app_strings['LBL_DUP_MERGE']} "/>
EOQ;
    $xtpl->assign("FIND_DUPES_MERGE_BUTTON", $merge_button);
   }
   
   $xtpl->parse("main");
   $xtpl->out("main");
   
   $sub_xtpl     = $xtpl;
   $old_contents = ob_get_contents();
   ob_end_clean();
   ob_start();
   echo $old_contents;
   
   require_once('modules/SavedSearch/SavedSearch.php');
   $savedSearch        = new SavedSearch();
   $json               = getJSONobj();
   $savedSearchSelects = $json->encode(array($GLOBALS['app_strings']['LBL_SAVED_SEARCH_SHORTCUT'] . '<br>' . $savedSearch->getSelect('EcmProductStockIndexs')));
   $str = "<script>
   YAHOO.util.Event.addListener(window, 'load', SUGAR.util.fillShortcuts, $savedSearchSelects);
   </script>";
   echo $str;
?>
